View Issue Details

IDProjectCategoryLast Update
0020094AI War 2[All Projects] GUIJan 12, 2019 6:23 pm
ReporterRocketAssistedPuffinAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.764 Mercenary Surge 
Fixed in Version 
Summary0020094: UI has wrong strength scaling for your units
DescriptionIn XML, Starships tend to have 600 strength set at MK1. Ingame this shows up as 0.6; this is fine and dandy.

However, the cap strength multiplier for MK2 is...2. So it's now 1200 in XML, and ingame 1.2.

Except ingame, it says 0.9.

This was throwing me for a loop, wasn't sure what to believe for a while but I think in the end it's just a UI oddity.
TagsNo tags attached.

Activities

x4000Bughunter

Sep 5, 2018 4:47 pm

administrator   ~0048899

Do you have a save that I can check out with this happening, and steps to repro? There are some oddities with the stregnth, it seems, so I'm not surprised that something might be amiss.

RocketAssistedPuffin

Sep 5, 2018 5:05 pm

developer   ~0048905

Huh. I loaded up the current steam build and...it's not there anymore. Seems some bugs are being caught in wide changes?

Of note though is, a MK1 Starship says 0.6 Strength. If you upgrade it to MK2, which doubles that value, it'll only say 1 Strength, instead of 1.2. Decimals don't seem to appear above 1 Strength. Minor issue. The scaling is correct, just not the display here.

RocketAssistedPuffin

Jan 12, 2019 6:23 pm

developer   ~0050719

This hasn't been a thing I think for ages, and the whole strength thing was changed to be automatically calculated anyhow.

Issue History

Date Modified Username Field Change
Aug 31, 2018 3:19 pm RocketAssistedPuffin New Issue
Sep 5, 2018 4:47 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 5, 2018 4:47 pm x4000Bughunter Status new => assigned
Sep 5, 2018 4:47 pm x4000Bughunter Note Added: 0048899
Sep 5, 2018 5:05 pm RocketAssistedPuffin Note Added: 0048905
Jan 12, 2019 6:23 pm RocketAssistedPuffin Status assigned => resolved
Jan 12, 2019 6:23 pm RocketAssistedPuffin Resolution open => fixed
Jan 12, 2019 6:23 pm RocketAssistedPuffin Note Added: 0050719